require 'net/http'

module Mysender
	class Mail
		def initialize(api_key)
			@api_key = api_key
			@url = 'http://sender.mynet.com.tw/api/mails/send'
		end

		def deliver(params = {})
			uri = URI.parse(@url)
			http = Net::HTTP.new(uri.host, uri.port)
			request = Net::HTTP::Post.new(uri.path)
			form_data = {
				"api_key" => @api_key,
				"emails" => params[:emails],
				"subject" => params[:subject],
				"reply_to" => params[:reply_to],
				"content" => params[:body]
			}
			request.set_form_data(form_data)
			response = http.request(request)
			response.code == '200'
		end
	end
end